summaryrefslogtreecommitdiffstats
path: root/deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'deploy.sh')
-rwxr-xr-xdeploy.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/deploy.sh b/deploy.sh
index 891eadf9..e29b518f 100755
--- a/deploy.sh
+++ b/deploy.sh
@@ -39,6 +39,12 @@ if [[ -z $DEPLOY_COMPASS && -z $DEPLOY_HOST && -z $REDEPLOY_HOST ]]; then
fi
LOG_DIR=$COMPASS_DIR/work/deploy/log
+export LOG_DIR
+
mkdir -p $LOG_DIR
$COMPASS_DIR/deploy/launch.sh $* 2>&1 | tee $LOG_DIR/compass-deploy.log
+
+if [[ $(tail -1 $LOG_DIR/compass-deploy.log) != 'compass deploy success' ]]; then
+ exit 1
+fi